package com.handset.serialportsensor.bean;

import com.chad.library.adapter.base.entity.MultiItemEntity;
import com.handset.serialportsensor.adapter.LeftAdapter;

import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
public class LeftDetailBean implements MultiItemEntity {
    private String item;

    private boolean isCheck;

    public LeftDetailBean(String item) {
        this.item = item;
    }

    public LeftDetailBean(String item, boolean isCheck) {
        this.item = item;
        this.isCheck = isCheck;
    }

    @Override
    public int getItemType() {
        return LeftAdapter.TYPE_DETAIL;
    }
}
